<?php
class Menu
{
    private $id;
    private $cliente;
    private $nombre;
    private $audioPrincipal;
    private $audioTLE;
    private $audioOpcionInvalida;
    private $call_time_id;

    /**
     * Get the value of id
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Get the value of cliente
     */
    public function getCliente()
    {
        return $this->cliente;
    }

    /**
     * Set the value of cliente
     *
     * @return  self
     */
    public function setCliente($cliente)
    {
        $this->cliente = $cliente;

        return $this;
    }

    /**
     * Get the value of nombre
     */
    public function getNombre()
    {
        return $this->nombre;
    }

    /**
     * Set the value of nombre
     *
     * @return  self
     */
    public function setNombre($nombre)
    {
        $this->nombre = $nombre;

        return $this;
    }

    /**
     * Get the value of audioPrincipal
     */
    public function getAudioPrincipal()
    {
        return $this->audioPrincipal;
    }

    /**
     * Set the value of audioPrincipal
     *
     * @return  self
     */
    public function setAudioPrincipal($audioPrincipal)
    {
        $this->audioPrincipal = $audioPrincipal;

        return $this;
    }

    /**
     * Get the value of audioTLE
     */
    public function getAudioTLE()
    {
        return $this->audioTLE;
    }

    /**
     * Set the value of audioTLE
     *
     * @return  self
     */
    public function setAudioTLE($audioTLE)
    {
        $this->audioTLE = $audioTLE;

        return $this;
    }

    /**
     * Get the value of audioOpcionInvalida
     */
    public function getAudioOpcionInvalida()
    {
        return $this->audioOpcionInvalida;
    }

    /**
     * Set the value of audioOpcionInvalida
     *
     * @return  self
     */
    public function setAudioOpcionInvalida($audioOpcionInvalida)
    {
        $this->audioOpcionInvalida = $audioOpcionInvalida;

        return $this;
    }
    /**
     * Get the value of call_time_id
     */
    public function getCallTimeId()
    {
        return $this->call_time_id;
    }

    /**
     * Set the value of call_time_id
     *
     * @return  self
     */
    public function setCallTimeId($call_time_id)
    {
        $this->call_time_id = $call_time_id;
        return $this;
    }
    public function __construct()
    {
        $a = func_get_args();
        $i = func_num_args();
        if (method_exists($this, $f = '__construct' . $i)) {
            call_user_func_array(array($this, $f), $a);
        }
    }
    public function __construct7($id, $nombre, $cliente, $audioOpcionInvalida, $audioPrincipal, $audioTLE, $call_time_id)
    {
        $this->id = $id;
        $this->cliente = $cliente;
        $this->nombre = $nombre;
        $this->audioOpcionInvalida = $audioOpcionInvalida;
        $this->audioPrincipal = $audioPrincipal;
        $this->audioTLE = $audioTLE;
        $this->call_time_id = $call_time_id;
    }
    public function __construct6($id, $nombre, $cliente, $audioOpcionInvalida, $audioPrincipal, $audioTLE)
    {
        $this->id = $id;
        $this->cliente = $cliente;
        $this->nombre = $nombre;
        $this->audioOpcionInvalida = $audioOpcionInvalida;
        $this->audioPrincipal = $audioPrincipal;
        $this->audioTLE = $audioTLE;
    }
    public function __construct5($nombre, $cliente, $audioOpcionInvalida, $audioPrincipal, $audioTLE)
    {
        $this->cliente = $cliente;
        $this->nombre = $nombre;
        $this->audioOpcionInvalida = $audioOpcionInvalida;
        $this->audioPrincipal = $audioPrincipal;
        $this->audioTLE = $audioTLE;
    }
    public function __construct3($id, $nombre, $cliente)
    {
        $this->id = $id;
        $this->cliente = $cliente;
        $this->nombre = $nombre;
    }
    public function __construct2($id, $nombre)
    {
        $this->id = $id;
        $this->nombre = $nombre;
    }
    public function toJSON()
    {
        $resp = array();
        if ($this->cliente != null) {
            $resp["Cliente"] = $this->getCliente()->toJSON();
        } else {
            $resp["Cliente"] = null;
        }
        $resp["Nombre"] = $this->getNombre();
        if ($this->audioOpcionInvalida != null) {
            $resp["AudioOpcionInvalida"] = $this->getAudioOpcionInvalida()->toJSON();
        } else {
            $resp["AudioOpcionInvalida"] = null;
        }
        if ($this->audioTLE != null) {
            $resp["AudioTLE"] = $this->getAudioTLE()->toJSON();
        } else {
            $resp["AudioTLE"] = null;
        }
        if ($this->audioPrincipal != null) {
            $resp["AudioPrincipal"] = $this->getAudioPrincipal()->toJSON();
        } else {
            $resp["AudioPrincipal"] = null;
        }
        if (!is_null($this->call_time_id)) {
            $resp["callTimeId"] = $this->getCallTimeId();
        } else {
            $resp["callTimeId"] = null;
        }
        $resp["id"] = $this->getId();
        return $resp;
    }
}
